package org.rcisoft.core.auth.feign;


import org.rcisoft.core.result.CyResult;
import org.springframework.cloud.openfeign.FeignClient;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.RequestMethod;
import org.springframework.web.bind.annotation.RequestParam;

/**
 * Created by lcy on 18/4/9.
 */
@FeignClient(value = "${auth.serviceId}",configuration = {} , fallback = CyAuthServerFeignFallBack.class)
public interface CyAuthServerFeign {

    @RequestMapping(value = "/client/myClient")
    public CyResult getAllowedClient(@RequestParam("serviceId") String serviceId, @RequestParam("secret") String secret);

    @RequestMapping(value = "/client/token",method = RequestMethod.POST)
    public CyResult getAccessToken(@RequestParam("clientId") String clientId, @RequestParam("secret") String secret);


    @RequestMapping(value = "/client/servicePubKey",method = RequestMethod.POST)
    public CyResult getServicePublicKey(@RequestParam("clientId") String clientId, @RequestParam("secret") String secret);


}
